<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('mr_master_messages', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('value');
            $table->timestamps();
        });

        DB::table('mr_master_messages')->insert([

            [
                'name' => 'export',
                'value' => 'EXPORT',
            ],
            [
                'name' => 'import',
                'value' => 'IMPORT',
            ],
            [
                'name' => 'gcl',
                'value' => 'GCL',
            ],
            [
                'name' => 'short',
                'value' => 'SHORT',
            ]
        ]);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('mr_master_messages');
    }
};
